player_extent2d Struct Reference
General-purpose message structures.

A rectangular bounding box, used to define the origin and bounds of an object. More...

`#include <player.h>`

## Public Attributes

double | x0
| Origin x [m].
double | y0
| Origin y [m].
double | x1
| Endpoints [m].
double | y1
| Endpoints [m].

## Detailed Description

A rectangular bounding box, used to define the origin and bounds of an object.

It is expected that x0 is less than x1 and y0 is less than y1. The points (x0,y0) and (x1,y1) represent opposite sides of the rectangle.

The documentation for this struct was generated from the following file:

- player.h

Last updated 12 September 2005 21:38:45